#include "KeyboardEvent.h"

KeyboardEvent::KeyboardEvent()
    : UiEvent(),
      mAction(),
      mKeyString()
{
    mType = UiEvent::Type::Keyboard;
}

KeyboardEvent::~KeyboardEvent()
{

}

std::unique_ptr<KeyboardEvent> KeyboardEvent::Create()
{
    return std::make_unique<KeyboardEvent>();
}

void KeyboardEvent::SetKeyString(const std::string& key)
{
    mKeyString = key;
}

std::string KeyboardEvent::GetKeyString() const
{
    return mKeyString;
}

void KeyboardEvent::SetAction(Action action)
{
    mAction = action;
}

KeyboardEvent::Action KeyboardEvent::GetAction() const
{
    return mAction;
}
